QGIS Application - Bug report #14404
Preview table crashes DB-Manager when using virtual layers
2016-03-02 08:26 AM - Jérome Guélat

Status: Closed

Priority: High

Assignee: Hugo Mercier

Category: DB Manager

Affected QGIS version:2.14.0 Regression?: No
Operating System: Windows Easy fix?: No
Pull Request or Patch supplied: Resolution:

Crashes QGIS or corrupls data: Copied to github as #: 22385
Description

To reproduce the bug:
1. Open DB-Manager and select one layer in the "Virtual Layers" section
2. Click on the "Table" panel

3. DB-Manager will freeze

You can see there's some Python error if you manage to close DB-Manager window

Associated revisions

Revision 7dbc0bf8 - 2016-03-23 05:39 PM - Hugo Mercier

[db manager] Fix virtual layers plugin (fixes #14404)

Revision 363050db - 2016-03-24 03:58 PM - Hugo Mercier

[db manager] Fix virtual layers plugin (fixes #14404)

(cherry-picked from commit 7dbc0bf81992cd58a6e4d0b081941f3c20f168ca)

History

#1 - 2016-03-14 09:16 AM - Hugo Mercier

Hi,

| cannot reproduce. What is the exact error message ?

#2 - 2016-03-15 12:21 AM - Jérome Guélat

Hi!

Thanks for looking at it... After more testing (using Windows and Mac OS X), | noticed this doesn't happen with layers containing points. But there is
definitely a problem with polygons (I didn't test with lines).

The Python error is "list index out of range". The offending code seems to be in the file data_model.py (lines 62, 124)
#3 - 2016-03-15 12:24 AM - Jérome Guélat

Well, it also happens with points... Just had a problem when | was browsing the table (same error).

| have the impression the problem appears because of the geometry column... For example my point layer has many fields and DB Manager can show all
of them except the geometry. It crashes after trying to show the last column (which is the geometry).

#4 - 2016-03-15 01:29 AM - Hugo Mercier
- Assignee set to Hugo Mercier

Thanks. Indeed | observe this error with certain types of layers. But | don't understand when exactly this error occurs, tracing db manager code is not easy

#5 - 2016-03-24 07:49 AM - Hugo Mercier
- Status changed from Open to Closed

Fixed in changeset commit:"7dbc0bf81992cd58a6e4d0b081941f3c20f168ca".

2025-04-27 22



